Developer documentation

Delete override

post https://app.iteras.dk/api/customers/deleteoverride/

The /api/customers/deleteoverride/ endpoint deletes an override that has not taken effect yet, i.e. a future change or a vacation that has not started. To end an override that is in effect, use the update customer override endpoint instead.

Parameters

  • id string required
    ID of the customer.
  • override_id string required
    ID of the override, as returned by the customer data or create override endpoint.

Examples

POST /api/customers/deleteoverride/ HTTP/1.1
Content-Type: application/json{
  "id": "12345",
  "override_id": "77642"
}

The endpoint returns the ID of the deleted override:

{ "override_id": "77642" }

Errors

Invalid requests due to programming error, e.g. invalid JSON or a missing override_id, returns 400.

A well-formed operation that cannot be executed returns an HTTP 422 error. Errors that are not specific to a field are returned with the empty string as key, e.g. an unknown override or an override that is already in effect:

{
  "": ["Only an override that has not taken effect can be deleted."]
}